%NormalStats
% Front end user interface to suite of programs relating to the statistical
% analysis of data using a skew-normal distribution.
%
% LAST UPDATED by Andy French

function NormalStats

% Construct a questdlg with three options
user_question = 'What form of analysis do you want to do?';
box_title = 'NormalStats - by Andy French';
choice = questdlg(user_question,...
    box_title, ...
    'Normal GUI',...
    'xls samples',...
    'xls frequency table',...
    'Normal GUI'); %Default option

%Add directory NormalStats to path
addpath('NormalStats','-begin' );

% Handle response
switch choice
    case 'Normal GUI'
        normalgui;
        
    case 'xls samples'
        stats_from_excel_samples;
        rmpath('NormalStats');
        
    case 'xls frequency table'
        stats_from_excel_freq_table;
        rmpath('NormalStats');
end

%End of code