%barchart
% Plots a very simple horizontal bar chart. Use this to replace bar( ... )
% if it yields odd results.
%
% LAST UPDATED by Andy French July 2014%
%
% Syntax: b = barchart( edges, heights )
% b is a patch object. Default colur is green with black edges.
% Transparency is set to 0.5
%
% Example: edges = linspace(0,100,20); heights = (sin(pi*edges/100)).^2;
% barchart( edges, heights ); xlabel('x'); ylabel('y'); title('bar chart');
% grid on;

function b = barchart( edges, heights )

%Determine bars x and y coordinates
for n=1:length(edges)-1
    
    %Bar x coordinates
    x(1,n) = edges(n);
    x(2,n) = edges(n+1);
    x(3,n) = edges(n+1);
    x(4,n) = edges(n);
    
    %Bar y coordinates
    y(1,n) = 0;
    y(2,n) = 0;
    y(3,n) = heights(n);
    y(4,n) = heights(n);    
end

%Plot bars
b=patch(x,y,'g');
set(b,'edgecolor','k','facealpha',0.5);
    
%End of code