%Test function for stats_from_freq_table.m
function stats_from_freq_table_test

%Generate samples from s skew-normal distribution
x_mean = 50; 
x_std = 20; 
x_skew = 0.6; 
num_samples = 1000;
[ x_s, pdf, cdf ] = skewed_normal( x_mean, x_std, x_skew, num_samples, [] );

%Perform a statistical analysis on these samples, and generate a histogram
%and frequency table
num_bins = 30; 
histogram_edges = [];
min_bin_edge = min(x_s);
max_bin_edge = max(x_s);
num_points = 500;
[x_mean, x_median, x_mode, x_std, x_skew,...
    cum_freq_exact, cum_freq, cum_freq_x, LQ,UQ, histogram_edges, histogram, f, norm_histogram,...
    pdf_fit, pdf_x ] = stats_from_samples( x_s, histogram_edges,...
    min_bin_edge, max_bin_edge, num_bins, num_points );

%Create histogram, normalized histogram with fitted PDF overlay and
%cumulative frequency graphs
xmin = 0; 
xmax = 100; 
pdf_max = []; 
fontsize = 14; 
plot_hist = 1; 
plot_norm = 1; 
plot_cumf = 1;
fig_hist=[]; 
ax_hist=[]; 
fig_norm=[]; 
ax_norm=[]; 
fig_cumf=[];
ax_cumf=[]; 
full_title = 1;
[ fig_hist, ax_hist, fig_norm, ax_norm, fig_cumf, ax_cumf, histogram_edges,f  ] = ...
   plot_histogram_and_cum_freq( x_s, xmin, xmax, pdf_max, histogram_edges,f,...
   min_bin_edge, max_bin_edge, num_bins, num_points, fontsize, plot_hist, plot_norm,...
   plot_cumf, fig_hist, ax_hist, fig_norm, ax_norm, fig_cumf, ax_cumf,...
   full_title );

%End of code